"use client";
import { jsx } from "react/jsx-runtime";
import { Suspense, lazy } from "react";
import { Shimmer } from "@byline/ui/react";
const EditorComponent = /*#__PURE__*/ lazy(()=>import("./editor-component.js").then((module)=>({
            default: module.EditorComponent
        })));
function EditorField(props) {
    return /*#__PURE__*/ jsx(Suspense, {
        fallback: /*#__PURE__*/ jsx(Shimmer, {
            height: "35vh"
        }),
        children: /*#__PURE__*/ jsx(EditorComponent, {
            ...props
        })
    });
}
export { EditorField };
